<?php
include('action.abs.php');
class hot_reply extends action {
		var $db = null;
		function hot_reply() {
			parent :: action();
			$this->db = APP :: ADP('db');
			$this->db->setTable(T_DISABLED_HOT_PUBLISH);
		}

		function forwardList() {
			$wb = APP::N('weibo', WB_AKEY, WB_SKEY, $_SESSION['last_key']['oauth_token'], $_SESSION['last_key']['oauth_token_secret']);
			//var_dump($wb->getFollowers());
			//exit;
			$p = V('g:p', 1);
			$each_page = 20;
			echo '<pre>';
			print_r($wb->search($k, $p, $each_page));
			TPL :: display('admin/hot_forward/hot_forward_list', '', 0, false);
		}

		function delete() {
			$id = V('r:id');
			$this->db->delete($id);
			$this->_redirect('forwardList');
		}

		function add() {
			$wid = V('r:wid');
			$data = array(
					'wid' => $wid,
					'operator' => $this->_getUid(),
					'add_time' => time()
					'type' => '2'
			);
			$this->db->save($data);

			$this->_redirect('forwardList');
		}
}
